gem pg install error mac os 1

gem pg install error mac os

gem install pg -- --with-pg-config=/Applications/Postgres.app/Contents/Versions/latest/bin/pg_config

Here is what the above code is Doing:
1. Install the pg gem
2. — is a separator to tell RubyGems that what follows is an option for the gem command, not a gem name
3. –with-pg-config=/Applications/Postgres.app/Contents/Versions/latest/bin/pg_config tells RubyGems to use the pg_config file in the Postgres.app bin directory

Similar Posts